/* 
Theme Name: CodePix Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Een website door CodePix
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-codepix
Version: 1.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

:root {
    --bnvl-gradient: linear-gradient(to right, #4DB2FE, #27E3E5, #86F898);
    --bnvl-section-radius: 120px;
}

@media screen and (max-width:1024px) {
    :root {
        --bnvl-section-radius: 80px;
    }
}

@media screen and (max-width: 768px) {
    :root {
        --bnvl-section-radius: 60px;
    }
}

/* Hide recaptcha */
.grecaptcha-badge {
    visibility: hidden;
}

form .elementor-field-type-recaptcha_v3 {
    height: 0;
    margin-bottom: 0 !important;
}

.elementor-form .elementor-form-fields-wrapper small {
    line-height: 1.3em;
    display: block;
    text-wrap: balance;
}

.elementor-form .elementor-form-fields-wrapper small a {
    color: inherit;
    text-decoration: underline;
}

/* Elementor form messages */
.elementor-form .elementor-message {
    background-color: #f8f8f8;
    border-radius: 0px;
    padding: 15px;
    line-height: 1.5;
    border: 1px solid #bdbdbd;
}

.elementor-form .elementor-message.elementor-message-success {
    border-bottom: 3px solid var(--e-global-color-primary);
}

/* Hide hidden form fields */
.elementor-form .elementor-field-type-hidden {
    margin-bottom: 0 !important;
    height: 0 !important;
}

/* CPX form checkboxes and radio buttons */
.cpx-form .elementor-field-type-checkbox .elementor-field-option,
.cpx-form .elementor-field-type-acceptance .elementor-field-option,
.cpx-form .elementor-field-type-radio .elementor-field-option {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label,
.cpx-form .elementor-field-type-radio .elementor-field-option label {
    padding-left: 1.75em;
    position: relative;
    font-weight: 400;
    font-size: var(--e-global-typography-text-font-size);
    line-height: 1.2;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:hover,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:hover,
.cpx-form .elementor-field-type-radio .elementor-field-option label:hover {
    cursor: pointer;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option input[type="checkbox"],
.cpx-form .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"],
.cpx-form .elementor-field-type-radio .elementor-field-option input[type="radio"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:before,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:before,
.cpx-form .elementor-field-type-radio .elementor-field-option label:before {
    content: '';
    position: absolute;
    top: 0px;
    left: 0;
    width: 21px;
    height: 21px;
    border-radius: 5px;
    background-color: #fff;
    border: 1px solid #b6b6b6;
    transition: background-color .2s ease-in-out;
    line-height: 0;
}

/* Make the radio buttons round */
.cpx-form .elementor-field-type-radio .elementor-field-option label:before {
    border-radius: 100%;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option label:after {
    content: '';
    color: #fff;
    position: absolute;
    top: 2px;
    left: 2px;
    width: 17px;
    height: 17px;
    border-radius: 5px;
    background-color: var(--e-global-color-primary);
    transition: opacity .2s ease-in-out, transform .2s ease-in-out;
    line-height: 0;

    opacity: 0;
    transform: scale(0);
}

/* Make the radio buttons round */
.cpx-form .elementor-field-type-radio .elementor-field-option label:after {
    border-radius: 100%;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option:hover label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option:hover label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option:hover label:after {
    opacity: 1;
    transform: scale(0.6);
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option input[type="checkbox"]:checked+label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"]:checked+label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option input[type="radio"]:checked+label:after {
    opacity: 1;
    transform: none;
}

.cpx-form .elementor-field-type-radio .elementor-field-subgroup,
.cpx-form .elementor-field-type-checkbox .elementor-field-subgroup,
.cpx-form .elementor-field-type-acceptance .elementor-field-subgroup {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-label,
.cpx-form .elementor-field-type-acceptance .elementor-field-label,
.cpx-form .elementor-field-type-radio .elementor-field-label {
    margin-bottom: .5rem;
}

.cpx-form .elementor-field-type-checkbox,
.cpx-form .elementor-field-type-acceptance,
.cpx-form .elementor-field-type-radio {
    margin-bottom: 30px !important;
}

/* End CPX form checkboxes */

/* Fix icons not having auto width defined on ipad */
.elementor-widget-icon svg {
    width: auto !important;
    aspect-ratio: 1/1;
}

/* Elementor animation overwrites */
@keyframes cpx_fadeInDown {
    from {
        opacity: 0;
        transform: translate3d(0, -30px, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInDown {
    animation-name: cpx_fadeInDown !important;
}

@keyframes cpx_fadeInLeft {
    from {
        opacity: 0;
        transform: translate3d(-30px, 0, 0);
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInLeft {
    animation-name: cpx_fadeInLeft !important;
}

@keyframes cpx_fadeInRight {
    from {
        opacity: 0;
        transform: translate3d(30px, 0, 0);
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInRight {
    animation-name: cpx_fadeInRight !important
}

@keyframes cpx_fadeInUp {
    from {
        opacity: 0;
        transform: translate3d(0, 30px, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInUp {
    animation-name: cpx_fadeInUp !important;
}

/* Balance out all headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    text-wrap: balance;
}

.text-balance {
    text-wrap: balance;
}

.text-pretty {
    text-wrap: pretty;
}

/* Fix elementor default line height for icons. Icons should not affect button height */
.elementor-widget-button .elementor-button-icon {
    line-height: 0;
    /* Flexbox to keep the icon in the middle if it's not big enough to fill height */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Backgrounds */
.cpx-background {
    height: 100%;
}

.cpx-background img {
    object-fit: cover;
    object-position: center;
}

/* ::selection {
    background: rgba(251, 80, 0, 0.3);
    color: #FFFFFF;
}
  
::-moz-selection {
    background: rgba(251, 80, 0, 0.3);
    color: #FFFFFF;
} */

/* Prevent focussing woo messages with ugly outline */
.woocommerce-message:focus {
    outline: none;
    box-shadow: none;
}

/* Turn elementor grids into centered flex layout using the gap variables from the grid */
.cpx-grid-to-flex .elementor-grid {
    display: flex;
    flex-wrap: wrap;
    row-gap: var(--grid-row-gap, 30px);
    column-gap: var(--grid-column-gap, 30px);
    justify-content: center;
}

/* Based on the variable --grid-columns (this is an int, say: 5) i need the items (.e-loop-item) to have the correct sizes. calculate the gaps so it doesnt overflow */
.cpx-grid-to-flex .elementor-grid .e-loop-item {
    flex: 0 1 calc(calc(100% / var(--grid-columns, 5)) - var(--grid-column-gap, 30px));
}

body.logged-in .hide-logged-in {
    display: none !important;
}

body:not(.logged-in) .hide-logged-out {
    display: none !important;
}

/* cpx mt auto */
.cpx-mt-auto {
    margin-top: auto;
}

/* Fix paragraph spacings */
.elementor-widget-text-editor,
.elementor-widget-theme-post-content {
    p:not(:last-child) {
        margin-bottom: 1em;
    }
}

/* Fix all icons */
.elementor-widget-container .elementor-icon-wrapper {
    line-height: 0;
}

.elementor-widget-button a,
.elementor-form button[type="submit"],
.cpx-calculator__btn {
    transition: all 0.6s cubic-bezier(.19, 1, .22, 1);

    &:hover,
    &:focus {
        transform: translateY(-2px);
    }

    &:active {
        transform: translateY(0);
    }
}

.cpx-button--gradient a,
.cpx-button--gradient button[type="submit"],
.cpx-calculator__btn {
    background-image: var(--bnvl-gradient);
    background-size: 150% auto;
    /* iets groter dan 100% zodat alle kleuren erin passen */
    background-position: 50% center;
    /* start in het midden van de gradient */
    color: #fff;

    &:hover,
    &:focus {
        /* schuif naar rechts */
        background-position: 100% center;
    }
}

.cpx-deco-bg {
    --bnvl-deco-height: 50px;

    position: relative;
    min-height: calc(var(--bnvl-section-radius) * 2.5);

    &:before,
    &:after {
        position: absolute;
        left: 0;
        width: 100%;
        border-radius: 0;
        border-top-left-radius: var(--bnvl-section-radius);
        content: '';
    }

    /* Deco color */
    &:before {
        background-color: var(--e-global-color-primary);
        top: calc(var(--bnvl-deco-height) * -1);
        height: calc(var(--bnvl-section-radius) + var(--bnvl-deco-height));
        z-index: 0;
    }

    /* Foreground cover-up color */
    &:after {
        background-color: var(--e-global-color-text);
        top: 0px;
        height: calc(var(--bnvl-section-radius) + var(--bnvl-deco-height));
        z-index: 1;
    }

    >.e-con-inner {
        position: relative;
        z-index: 2;
    }
}

.cpx-number {
    aspect-ratio: 1/1;
    text-align: center;
}

.cpx-icon-opacity {
    opacity: .07;
}

.cpx-bg-gradient {
    background: var(--bnvl-gradient);
}

.cpx-fix-swiper-shadow-clip {
    .swiper {
        padding: 30px;
        margin-left: -30px;
        margin-right: -30px;
    }
}

.cpx-swiper-pagination {
    .swiper-pagination {
        .swiper-pagination-bullet {
            width: 65px;
            transition: all .6s cubic-bezier(.19, 1, .22, 1) !important;
            transform-origin: center;
            border-radius: 10px;
            position: relative;

            &.swiper-pagination-bullet-active {
                width: 100px;
            }

            &:hover,
            &:focus {
                width: 75px;
            }

            &:before {
                content: '';
                position: absolute;
                top: -10px;
                left: -12px;
                right: -12px;
                bottom: -10px;
            }
        }
    }
}

.cpx-aspect-4-3 img {
    aspect-ratio: 4/3;

    object-fit: cover;
    object-position: center;
}

.cpx-aspect-16-9 img {
    aspect-ratio: 16/9;

    object-fit: cover;
    object-position: center;
}

.cpx-aspect-16-10 img {
    aspect-ratio: 16/10;

    object-fit: cover;
    object-position: center;
}

.cpx-aspect-1-1 img {
    aspect-ratio: 1/1;

    object-fit: cover;
    object-position: center;
}

.cpx-fix-icon-ratio {
    svg {
        aspect-ratio: 1 / 1;
        object-fit: contain;
        object-position: center;
    }
}

.cpx-actualiteit-card {
    transition: all .6s cubic-bezier(.19, 1, .22, 1) !important;

    &:hover {
        .cpx-actualiteit-arrow {
            transform: translateX(5px);
        }
    }
}

.cpx-actualiteit-arrow {
    transition: all .6s cubic-bezier(.19, 1, .22, 1) !important;
}

header[data-elementor-type="header"] {
    .cpx-header {
        width: 100% !important;
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    .cpx-header>.e-con-inner {
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    .cpx-header__logo img {
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    .cpx-header__logo a {
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    .cpx-header__logo a:before {
        content: '';
        display: block;
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
        background-color: var(--e-global-color-text);
        border-radius: 200px;
        height: 55px;
        width: 55px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%) scale(0);
    }

    &:not(.scrolled-past) {
        .cpx-header__logo a:hover {
            transform: scale(1.05);
        }
    }

    &.scrolled-past {
        .cpx-header {
            box-shadow: 0 0 15px rgba(24, 25, 82, .1);
        }

        .cpx-header>.e-con-inner {
            padding-top: 15px;
            padding-bottom: 15px;
        }

        .cpx-header__logo img {
            /* clip-path: polygon(0 0, 6% 0, 6% 100%, 0% 100%); */
            clip-path: polygon(0 0, 7% 0, 6% 100%, 0% 100%);
            transform: scale(1.8) translateX(47.5%) translateY(5%);
        }

        .cpx-header__logo a:before {
            transform: translate(-50%, -50%) scale(1);
        }

        .cpx-header__logo a:hover:before {
            transform: translate(-50%, -50%) scale(1.1) !important;
        }
    }
}

@media screen and (max-width: 1024px) {
    header[data-elementor-type="header"] {
        overflow: hidden;
    }

    header[data-elementor-type="header"].scrolled-past .cpx-header__logo a:hover:before {
        transform: translateY(-50%) scale(1) !important;
    }

    header[data-elementor-type="header"] {
        .cpx-header__logo a:before {
            left: 0;
            transform: translateY(-50%) scale(0);
        }

        &.scrolled-past {
            .cpx-header__logo img {
                /* Default */
                transform: scale(1.8) translateX(26.2%) translateY(10%);
            }

            .cpx-header__logo a:before {
                transform: translateY(-50%) scale(1);
            }
        }
    }
}

@supports (font: -apple-system-body) {
    header[data-elementor-type="header"] {
        &.scrolled-past {
            .cpx-header__logo img {
                /* Safari */
                transform: scale(1.8) translateX(46.5%) translateY(8%);
            }
        }
    }

    @media screen and (max-width: 1024px) {
        header[data-elementor-type="header"] {
            &.scrolled-past {
                .cpx-header__logo img {
                    /* Safari */
                    transform: scale(1.8) translateX(24.7%) translateY(10%);
                }
            }
        }
    }
}

@supports (-webkit-touch-callout: none) {
    @media screen and (max-width: 1024px) {
        header[data-elementor-type="header"] {
            &.scrolled-past {
                .cpx-header__logo img {
                    /* Safari */
                    transform: scale(1.8) translateX(24.5%) translateY(4%);
                }
            }
        }
    }
}

.cpx-reverse-corners .cpx-corner--bottom-right {
    .elementor-icon svg {
        fill: var(--e-global-color-primary) !important;
    }
}

.cpx2_cookie-balk.cpx2_cookie-balk--v3 .cpx2_cookie-balk__tekst a {
    color: var(--cpx2-cookie-balk-tekst) !important;
    text-decoration: underline !important;
    text-underline-offset: 3px;
}

@media screen and (min-width: 1024px) and (max-width: 1200px) {
    header[data-elementor-type="header"] {
        .elementor-nav-menu--main>ul>li>a {
            padding-left: 10px !important;
            padding-right: 10px !important;
        }
    }
}